1. API
  2. Stories
  3. Change request

Reject

Description

Reject a change request.

Request

HTTP Method: POST

Query Parameter Description
change_request_id The ID of the change request
Path Parameter Description
story_id The ID of the story.

Note: If you're the author of the change request, this cancels it instead of rejecting it.

Sample request

curl -X POST \
  https://<tenant-domain>/api/v1/stories/<<story_id>>/change_request/reject  \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "change_request_id": "<<change_request_id>>"
      }'

Response

A successful request will return a JSON object that shows the change request has been rejected

Field description

Parameter Description
draft_id ID of the draft containing the change request.
draft_name Name of the draft containing the change request.
id The live story ID.
change_request The change request, which will be null as it was rejected.

Sample response

{
  "draft_id": 1234,
  "draft_name": "Initial draft",
  "change_request": null,
  "id": 154
}
Was this helpful?